import { DkUpdateExpressionParams } from './util/convertObjectToUpdateExpression';
type Params = {
    key: string;
    alias: string;
    precedingKeys?: Array<string>;
};
type CreateUpdateExpressionPart = (params: Params) => DkUpdateExpressionParams;
export declare class DkOp {
    createUpdateExpressionPart: CreateUpdateExpressionPart;
    constructor(createUpdateExpressionPart: CreateUpdateExpressionPart);
}
export declare const dkOp: {
    Value: <T = any>(value: T) => T;
    Add: (value: number) => number;
    Minus: (value: number) => number;
    ListAppend: <T_1 extends unknown>(value: T_1[], end?: 'head' | 'tail') => T_1[];
    IfNotExists: <T_2 = unknown>(value: T_2) => T_2;
};
export {};
